#---------------------------------------------------------------------#
#     Homarr - A simple, yet powerful dashboard for your server.      #
#---------------------------------------------------------------------#
services:
  homarr:
    container_name: homarr
    image: ghcr.io/homarr-labs/homarr:latest
    restart: unless-stopped
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock # Optional, only if you want docker integration
      - /gurulandia/data/homarr/appdata:/appdata
    environment:
      - SECRET_ENCRYPTION_KEY=9a3fb9c060d3ff37ac0e0785177979ec48620144b8fd3e5883c02e27f68b2dba  # <--- can be generated with `openssl rand -hex 32`
      - DB_DRIVER=mysql2
      - DB_DIALECT=mysql
      - DB_HOST=10.0.6.180
      - DB_PORT=3306
      - DB_NAME=homarr
      - DB_USER=homarr
      - DB_PASSWORD=homarr
    ports:
      - 7575:7575